﻿<AML>
 <Item type="Method" id="A7BF290651064EB498886FAE062A5958" action="add">
  <execution_allowed_to keyed_name="World" type="Identity">A73B655731924CD0B027E4F4D5FCC0A9</execution_allowed_to>
  <method_code><![CDATA[/* *****************************************************************************
Method Name:			acc_bank_income_amt_calculate
Created By		:		SolidCAD 
Creation Date:			2018-01-23
Description:
	When enter Transfering Amount,calculate Incoming Amount according by Transfering Bank Account's Currency.
	
Hooks:
	Type:	Form	:	acc_bank_account_transfers
	Event:	acc_amount ( onBlur )

Revisions:
	Rev Date		Modified By			Description
	YYYY-MM-DD		$username$			Initial creation
***************************************************************************** */
//debugger;
var myInnovator = new Innovator();
var acc_amount = top.aras.getItemProperty(document.item, 'acc_amount');
var acc_to_account_rate = top.aras.getItemProperty(document.item, 'acc_to_account_rate');
var acc_to_account_operator = top.aras.getItemProperty(document.item, 'acc_to_account_operator');
var acc_incoming_amount = "";

if (acc_to_account_rate === null || acc_to_account_rate === "") {
    handleItemChange("acc_incoming_amount", "0.00");
} else {
    var acc_amount = parseFloat(acc_amount);
    var acc_to_account_rate = parseFloat(acc_to_account_rate);
    if (acc_to_account_operator === "*") {
        acc_incoming_amount = acc_amount * acc_to_account_rate;
    } else if (acc_to_account_operator === "/") {
        acc_incoming_amount = acc_amount / acc_to_account_rate;
    }
    handleItemChange("acc_incoming_amount", parseFloat(acc_incoming_amount).toFixed(2));
}
return this;]]></method_code>
  <method_type>JavaScript</method_type>
  <name>acc_bank_income_amt_calculate</name>
 </Item>
</AML>